Pod install fail to download ExpoKit 2.9.0


#1

Hi. I’m trying to run pod install after expo eject but it failed to download ExpoKit 2.9.0

...
Fetching podspec for `EXSensors` from `../node_modules/expo-sensors/ios`                           
Fetching podspec for `EXSensorsInterface` from `../node_modules/expo-sensors-interface/ios`        
Pre-downloading: `ExpoKit` from `http://github.com/expo/expo.git`, tag `ios/2.9.0`
[!] Error installing ExpoKit                                                                       
[!] Failed to download 'ExpoKit'. 

I’ve also tried pod repo update but it still doesn’t work.

I’m using:

  • expo-cli 2.4.0
  • cocoapod 1.5.3
  • macos mojave 10.14.1
  • node 11.2.0

#2

Hey @newbiebr,

Can you try running pod repo update and then pod install and see if that works?

Cheers,

Adam


#3

Hi @adamjnav, I’ve tried that but it pod install still doesn’t work :slightly_frowning_face:


#4

I too had the same issue (and similar OS environment) and resolved it by updating to the latest git-lfs for MacOS Mojave. If using homebrew:

  • brew install git-lfs
  • git lfs install
  • pod update again

Hopefully that works for you! :slight_smile:


Can't 'pod install' on ejected app
#5

It worked :smile:. Thank you very much :star_struck::pray::pray::pray:


closed #6

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.